/*
  title属性の削除スクリプト
  (c)2010 CJ？ごろう

  (2010-07-21)
*/


/*
  title属性の削除。
*/

var nl_remove_title_attribute = function(target_elements, class_name, type_select)
{
  nl_remove_title_attribute2(document.getElementsByTagName(target_elements), class_name);
  nl_remove_title_attribute_autopager(target_elements, class_name, (type_select - 1) || 0);
};

var nl_remove_title_attribute2 = function(list, class_name)
{
  var list_length = list.length;
  var tmp_class;
  if (list_length)
  {
    for (var i = 0, j = list_length - 1; i < j; i++)
    {
      tmp_class = list[i].className;
      if (tmp_class && tmp_class.indexOf(class_name) != -1)
      {
        list[i].removeAttribute('title');
      }
   }
  }
};


/*
  autopager関連処理。
*/
var nl_remove_title_attribute_autopager = function (target_elements, class_name, type_select)
{
  var userAgent = window.navigator.userAgent.toLowerCase();

  switch (type_select - 0)
  {
/*
  AutoPagerize（AutoPagerize_DOMNodeInserted）に連動する。
*/
    case 1:
      if (typeof(window.addEventListener) == 'function')
      {
        document.body.addEventListener('AutoPagerize_DOMNodeInserted', function (evt)
        {
          nl_remove_title_attribute2(evt.target.getElementsByTagName(target_elements), class_name);
        }, false);
      }
    break;

/*
  Internet Explorerならautopager_modに連動する。
  それ以外は、AutoPagerize（AutoPagerize_DOMNodeInserted）に連動する。
*/
    case 2:
     if (userAgent.indexOf('msie') != -1 && window.autopager_mod)
      {
        autopager_mod.register(function(div) {
          nl_remove_title_attribute2(div.getElementsByTagName(target_elements), class_name);
        });
      }
      else if (typeof(window.addEventListener) == 'function')
      {
        document.body.addEventListener('AutoPagerize_DOMNodeInserted', function (evt)
        {
          nl_remove_title_attribute2(evt.target.getElementsByTagName(target_elements), class_name);
        }, false);
      }
    break;

/*
 上記以外の時はautopager_modに連動する。
*/
    default:
    if (window.autopager_mod)
    {
      autopager_mod.register(function(div) {
        nl_remove_title_attribute2(div.getElementsByTagName(target_elements), class_name);
      });
    }
    break;
  }
  userAgent = null;
};
